Page 2 of 78 First 12341252 ... Last
  1. #11
    This helped me a lot. Thank you, Styrmir!

  2. #12
    Version 1.2.0 uploaded.

    v1.2.0 (December 27, 2018)
    • Horizontal health bars, slightly less than token width when full health, appear above token. Larger and more easily readable. Resize and relocate ratio wise to account for different grid and resolutions sizes. Light transparency added to health bar. [ new horizontal health bar graphics, graphics/graphics_icons.xml, manager_token2.lua > function updateHealthBarScale(tokenCT, nodeCT) ; function updateHealthHelper(tokenCT, nodeCT) ]
      Health bars dissapear when no health left (incapacitated/dead).
    • Dot health indicators roughly doubled in size for better readability. Resize and relocate ratio wise to account for different grid and resolutions sizes. [ updated graphics for health dot, relocated dot to align due to increased dimensions, manager_token2.lua > updateHealthHelper(tokenCT, nodeCT) ]
    Last edited by Styrmir; December 27th, 2018 at 08:24.
    Ultimate License holder, enables Demo Players to join my games for free.

    [FGU backer, extension writer]

    5E Enhancer

    Combat Enhancer 5E Classic





  3. #13
    FYI, the "Where to place to work.txt" file included with the images states that the directory path should be "Fantasy Grounds/Data/tokens/...". I believe it should be "Fantasy Grounds Data/tokens/...".

    Assuming that this extension shares the same incompatibilities to 5e modules as Advanced Kombat, is there any chance that you could make a version with the incompatible features removed? I was working on my own modified version by commenting out all of the functions related to what I believed were the incompatible features (map tokens and effects), but then 3.3.7 was released and it made all that work irrelevant.

  4. #14
    Could you tell me what module (just one as an example) doesn't work with this advanced kombat? I only ever use it for 5e stuff, so I'm wondering what one doesn't work so i can play around with it.

    Thx,
    CS

  5. #15
    We had quite a bit of issues with Tomb of Annihilation, and some of those issues carried over to Waterdeep: Dragon Heist. Ken mentioned the issues in his OP (which no longer exists), I think it had to do with how the script updates images? If you import images manually, the script can run through them one by one. But modules have hundreds of images loaded all at once. It might be mentioned farther down in the discussion thread for Advanced Kombat, but I can't find it.

  6. #16
    Found it, post #198:

    Quote Originally Posted by Ken L View Post
    I've updated the main posting with regards to the now confirmed non-support of maps/images that come from modules. I ran out of space on the first posting so I placed this warning in trouble shooting.

    Pings / maptokens / effect applications through mini and large effect windows will fail. I know where the issues is, but the fix would slow down processing to unacceptable values dependent on how many 'modules' are loaded in the campaign.

    In that sense AK is geared for home-brew content. Beastiary modules however will work, but any module maps will have issues.
    Further explained in post #201:
    Quote Originally Posted by Ken L View Post
    It's just that for the effect application, since the big effect window works globally, the logic currently attempts to get 'all selected tokens' on 'all open' image windows.

    Except.. There is no get all open image windows function in FG, you need to literally try to find an image window with all data nodes. So if you have the monster manual open, it'll try find imagewindows that use each image in the datanode repository.

    This is if it looked through reference.images, currently it only looks at images so yes, pretty much only things in the campaigns image data folder.

    A full fix would be to track open windows, and if it's an image window, put it a store of some kind so this dataset can then be referenced rather than iterating through the entire library of images. Currently I don't have time for that, and if when I do get around to that, It'll be integrated into AK2.0.

  7. #17
    Thanks for the info. I've only run mines of phandalan, a bunch of custom home-brewed ones, and then Dungeon of the Mad Mage. I would have thought the last one would have had an issue, but I've not had a problem with it yet, so I guess i don't know what I will see when I do start to have issues...
    I own the others, however, so I might pull them up later just to see the issue.

  8. #18
    Just to be clear, the issues are all Client-side, not Host (DM) side. My players have issues at random, sometimes a client restart fixes it, but not always. I've also occasionally had issues with the in-person game I run, with the localhost client connection. I caught it in the D&D livestream I ran earlier this year: https://youtu.be/w6oG7XAelgg?t=2295 The map I shared refused to load, eventually leading to a client crash.

  9. #19
    @kruvek
    Thank you for pointing that out. I've updated the text and will add the update with the next minor patch. My directory reflects what I put in the text, so it's not the default one, but merely an example. But I can see how it could cause confusion I so better to update it to the default path. The surefire way to find the correct directory is to do so through FG as per the secondary instructions.

    I'm building the 5e Combat Enhancer on top of the retired Advanced Kombat extension. A caveat of that is despite coming with a lot of great features upfront already, it also means that it will inherit all the technical limitations and or compatibility issues of its predecessor. So my main goal is to add to the project what I think might make good additions to the projects, not so much rewriting much of the core code inherited from the original extension. Besides we don't know how much longer it'll be until FGU comes out, at which point a lot of work done with extension will potentially become irrelevant. If it's only a matter of half a year or so then a major overhaul of the core code would not be worthwhile.

    I have not experienced any issues with images or tokens since starting to use the expansion in a number of various and different gaming circumstances as a GM (except for when going past 32-bit memory limits of FG on players side during 3.3.6, see note below). However I don't own ToA myself so can't speak for that one in particular.
    Therefore I've not seen nor able to recreate the issue, and judging by Ken L's posts, it does sound like it would be a rather large undertaking to try to fix what might be a limited occurrence within certain modules.
    There are also limits to the time I am able to put into the project, so I wouldn't want to promise anything in regards to that particular issue.

    As for random crashes due to sharing maps, I've had that as well on the player side. But that was not related to the extension, but rather going past around 3 GB of memory usage on the players side. This should however be a lot less likely to happen now since FG 3.3.7. And given that the recording is from August this year (2018), that would have been with FG v3.3.6. Which tended to balloon memory usage on the players side to be about 2-2.5x that of the GM due to how handling of images was done on the players side in that version. This has since been fixed in 3.3.7. You'll find memory usage to be about the same on both host and client side now.

    Overall I'm not expecting to create alternate versions due to time limitations, beside possibly trying to decouple the layers from the project temporarily, or until that extensions code gets fixed to work in 3.3.7, and releasing that as a separate more limited version.
    If you still have your original commented version, you should be able to comment out the same lines in this project to the same effect. Though I'm sure you've noted while trying this how interlinked a lot of the code is. So commenting out one thing, may break another so that might be harder than saying it.


    @JLBatman
    I'm not aware of any extensions in particular that don't work with my extension or the original. I run a number of various other ones as well and they all seem to play well together, alas I'm sure there are going to be some out there that don't. But I do regard this expansion as my main one for running 5e games so I'd be likely to forgo other ones over this one if something broke.
    Last edited by Styrmir; December 28th, 2018 at 04:37.
    Ultimate License holder, enables Demo Players to join my games for free.

    [FGU backer, extension writer]

    5E Enhancer

    Combat Enhancer 5E Classic





  10. #20
    Something I'd love to see would be working implementation of a "current HP" tracker. Before I decided to learn AK, I used and rather enjoyed a current HP mod that made the combat tracker and the character sheet show current HP, max HP, temp HP, and wounds, in that order. Unfortunately while the character sheet's values continued to auto-update after enabling AK, the entry on the combat tracker did not, and so I retired the mod from my active set.

    If you could add that functionality to your version of the mod, I know at least my players and I would thank you profusely.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in

Log in